(function($) {
	"use strict";
	jQuery(document).ready(function($){
		
		$('#formatdiv').prependTo('#titlediv');
		$('#fw-options-box-postformatmeta').prependTo('#postdivrich');


		/* 
		 * Value
		 * - 0
		 * - image
		 * - video
		 * - audio
		 * - quote
		 * - gallery
		 */
		 $('[name=post_format]').on('click', function() {
		 	$('#fw-options-box-postformatmeta .inside > .fw-backend-option, #fw-options-box-postformatmeta .inside > .fw-backend-options-group').hide();
		 	switch($(this).val()) {
				case '0':
					//$('#fw-options-box-homepagesettingbox').toggle();
					break;
				case 'image':
					//$('#fw-backend-option-fw-option-video').toggle();
					break;
				case 'video':
					$('#fw-backend-option-fw-option-video').show();
					break;
				case 'audio':
					$('#fw-backend-option-fw-option-audio').show();
					break;
				case 'quote':
					$('#fw-backend-option-fw-option-quote').show();
					$('#fw-backend-options-group-quote').show();
					break;
				case 'gallery':
					$('#fw-backend-option-fw-option-gallery').show();
					$('#fw-backend-options-group-gallery').show();
					break;
		 	}
	    });

		$("[name=post_format]").each( function() { 
			if($(this).is(':checked')) {
				switch($(this).val()) {
					case '0':
						//$('#fw-options-box-homepagesettingbox').toggle();
						break;
					case 'image':
						//$('#fw-backend-option-fw-option-video').toggle();
						break;
					case 'video':
						$('#fw-backend-option-fw-option-video').show();
						break;
					case 'audio':
						$('#fw-backend-option-fw-option-audio').show();
						break;
					case 'quote':
						$('#fw-backend-option-fw-option-quote').show();
						$('#fw-backend-options-group-quote').show();
						break;
					case 'gallery':
						$('#fw-backend-option-fw-option-gallery').show();
						$('#fw-backend-options-group-gallery').show();
						break;
			 	}
			}
			
		});
	});

	

})(jQuery);